## Name

DMODE — Disk descriptor Editor

## Synopsis

`dmode` [ `devicename` | -`filename` ] [options]

## Description

This new version allows any combination of upper or lower case options to be specified.

Also, current parameters are displayed with a “$” preceding to remind the user that the values are hexadecimal.

Options may be prefixed with a “$”. It is simply ignored.

## Examples

Typical dmode output:

    OS9: dmode /dd  {enter}

     drv=$00 stp=$00 typ=$80 dns=$01 cyl=$0334 sid=$06
     vfy=$00 sct=$0021 tos=$0021 ilv=$00 sas=$20

Now, let's say we want to change the number of cylinders this descripter shows. The following command lines would all be valid and accepted by the new dmode:

    OS9:  dmode /dd CYL=276
    -or-  dmode /dd Cyl=$276
    -or-  dmode /dd cYL=276

Lastly, you may now specify either “TOS” or “T0S” to setup the number of sectors per track in track zero. Example:

    OS9:  dmode /dd tos=21
    -or-  dmode /dd t0s=21